VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CFile"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'===========================
' Visual Basic 
'    
'===========================

Option Explicit


'   
Public Enum enmLockType
    fleShared
    fleLockWrite
    fleLockRead
    fleLockReadWrite
End Enum

Private m_iFileNum As Integer

'    
Public Property Get lLOF() As Long
    lLOF = LOF(Me.iFileNum)
End Property

'    
Public Property Get bEOF() As Boolean
    '    
    ' EOF
    '   
    If Seek(Me.iFileNum) >= LOF(Me.iFileNum) Then
        bEOF = True
    Else
        bEOF = False
    End If
End Property

'      
Public Property Get lCursorLoc() As Long
    lCursorLoc = Seek(Me.iFileNum)
End Property

Public Property Let lCursorLoc(ByVal lNewValue As Long)
    Seek Me.iFileNum, lNewValue
End Property

Public Property Get iFileNum() As Integer
    iFileNum = m_iFileNum
End Property

Public Sub OpenFile(sFileName As String, Optional LockType As enmLockType = fleShared)
'       
'     
' On Error

    m_iFileNum = FreeFile
    
    Select Case LockType
        Case fleLockWrite
            Open sFileName For Binary Lock Write As #iFileNum
        Case fleLockRead
            Open sFileName For Binary Lock Read As #iFileNum
        Case fleLockReadWrite
            Open sFileName For Binary Lock Read Write As #iFileNum
        Case Else
            Open sFileName For Binary As #iFileNum
    End Select
    
End Sub

'   
Public Function GetData(Optional lDataSize As Long = 1) As String
    Dim sTemp As String
    
    sTemp = String(lDataSize, " ")
    Get #Me.iFileNum, , sTemp
    GetData = sTemp
End Function

'   
Public Sub PutData(vData As String)
        Put #Me.iFileNum, , vData
End Sub

'  
Public Sub CloseFile()
    If Me.iFileNum Then
        Close #iFileNum
        m_iFileNum = 0
    End If
End Sub

'   
Private Sub Class_Terminate()
    Me.CloseFile
End Sub

